PROMETHEUS-SENSOR-EXPORTER(1)

NAME
prometheus-sensor-exporter - Prometheus exporter for I²C temperature and humidity sensors

SYNOPSIS

prometheus-sensor-exporter [--web.listen-address ADDRESS] [--web.telemetry-path PATH] SENSOR...

prometheus-sensor-exporter {-h|--help}

DESCRIPTION

prometheus-sensor-exporter is a Prometheus exporter for I²C temperature and humidity sensors. Supported sensors:

    • Bosch Sensortec BME280, BMP180, BMP280, BMP388

    • Sensirion SHT30, SHT31, SHT35

OPTIONS

--web.listen-address ADDRESS
    Address on which to expose metrics and web interface. (default :9775)

--web.telemetry-path PATH Path under which to expose metrics. (default /metrics)

SENSOR
    One or more sensor configurations. Each sensor configuration is a comma-separated list. The first element is the model name. All following elements are sensor options (see next section).

SENSOR OPTIONS

MODEL
    Model name of the sensor. Supported models:

        • BME280

        • BMP180

        • BMP280

        • BMP388

        • SHT30

        • SHT31

        • SHT35

address=ADDRESS
    I²C address (uint8) (default depends on the model)

bus=BUS
    I²C bus number (int) (default 0)

repeatability=low|medium|high
    Repeatability (only SHT sensors)

temp_offset=OFFSET
    Fixed temperature offset in °C. This offset will be added to the measured temperature. (float64) (default: 0.0)

humidity_offset=OFFSET
    Fixed humidity offset in percent. This offset will be added to the measured relative humidity. (float64) (default: 0.0)

EXAMPLES

Example for monitor two sensors: one Bosch BME280 on I²C bus 0 (using the default address) and one Sensirion SHT35 on I²C bus 1 with address 0x45.

    prometheus-sensor-exporter BME280,bus=0 SHT35,bus=1,address=0x45

COPYING

Copyright © 2021-2025 Benjamin Drung. Free use of this software is granted under the terms of the ISC License.

AUTHOR

Benjamin Drung